#define SUPPORT_NEWCASTLE
inline void IO_InitNewcastle(void)
{
//	VALUE_SET(id                 , GOTYPE_NEWCASTLE);
	VALUE_SET(id                 , GOTYPE_M300);
	VALUE_SET(caseid             , GOCASE_NEWCASTLE);
	VALUE_SET(cputype            , GOCPU_S3C2440);
	VALUE_SET(btchip             , GOBT_BC4);
	VALUE_SET(btspeed            , 921600);
	VALUE_SET(btclock            , 16000000);
	VALUE_SET(btclass            , 0x200408);
	VALUE_SET(handsfree          , 1);
	VALUE_SET(lowbutton          , 1);
	VALUE_SET(batterytype	     , GOBATTERY_1100);
	VALUE_SET(chargertype        , GOCHARGER_LTC3455);
	VALUE_SET(chargerresistor    , 2490);
	VALUE_SET(sdcard             , 1);
        VALUE_SET(sdslot             , 1);
	VALUE_SET(tfttype            , GOTFT_SAMSUNG_LTV350);
	VALUE_SET(backlighttype	     , GOBACKLIGHT_CH0_AT1312_350);
	VALUE_SET(tsxchannel         , 5);
	VALUE_SET(tsychannel         , 7);
	VALUE_SET(gpstype            , GOGPS_SIRF3);
	VALUE_SET(codectype          , GOCODEC_WM8971);
	VALUE_SET(codecmaster        , 1);
	VALUE_SET(usbslavetype       , GOUSB_S3C24XX);
	VALUE_SET(usbdevicehostcapable,1);
	VALUE_SET(tftsoftstart       , 1);
	VALUE_SET(canrecordaudio     , 1);
	VALUE_SET(pnp                , 1);
	VALUE_SET(gpio_autoshutdown  , 0);
	VALUE_SET(usbhost            , 1); 
	VALUE_SET(ohciports          , 0x02);
        VALUE_SET(gpsephemeris       , 1);

	STRING_SET(name,"TomTom DUO");
	STRING_SET(btname,"TomTom DUO");
	STRING_SET(usbname,"DUO");
	STRING_SET(familyname,"TomTom DUO");
	STRING_SET(projectname,"NEWCASTLE");
	STRING_SET(requiredbootloader,"4.80");
	STRING_SET(dockdev,"ttySAC0");
	STRING_SET(btdev,"ttySAC1");
	STRING_SET(gpsdev,"ttySAC2");

	PIN_SET(SD_PWR_ON       , PIN_GPA17);
	PIN_SET(WP_SD           , PIN_GPH8);
	PIN_SET(CD_SD           , PIN_GPF2 | PIN_INVERTED);
	PIN_SET(GPS_RESET       , PIN_GPC5 | PIN_INVERTED);
	PIN_SET(GPS_ON          , PIN_GPJ6);
	PIN_SET(GPS_1PPS        , PIN_GPG0);
	PIN_SET(GPS_REPRO       , PIN_GPG1);
	PIN_SET(BATT_TEMP_OVER  , PIN_GPJ1 | PIN_INVERTED);
	PIN_SET(CHARGING        , PIN_GPJ12 | PIN_INVERTED);
	PIN_SET(PWR_RST         , PIN_GPJ4);
	PIN_SET(AIN4_PWR        , PIN_GPA18);
	PIN_SET(DAC_PWR_ON      , PIN_GPA22);
	PIN_SET(AMP_ON          , PIN_GPF6);
	PIN_SET(I2SSDO          , PIN_GPE4); 
	PIN_SET(CDCLK           , PIN_GPE2); 
	PIN_SET(CDCLK_12MHZ     , PIN_GPH9);
	PIN_SET(I2SSCLK         , PIN_GPE1); 
	PIN_SET(I2SLRCK         , PIN_GPE0); 
	PIN_SET(I2SSDI          , PIN_GPE3); 
	PIN_SET(L3CLOCK         , PIN_GPB4); 
	PIN_SET(L3MODE          , PIN_GPB3); 
	PIN_SET(L3DATA          , PIN_GPB2); 
	PIN_SET(CTS_DOCK        , PIN_GPH0);
	PIN_SET(RTS_DOCK        , PIN_GPH1);
	PIN_SET(TXD_DOCK        , PIN_GPH2);
	PIN_SET(RXD_DOCK        , PIN_GPH3);
	PIN_SET(TXD_GPS         , PIN_GPH6);
	PIN_SET(RXD_GPS         , PIN_GPH7);
	PIN_SET(TXD_BT          , PIN_GPH4);
	PIN_SET(RXD_BT          , PIN_GPH5);
	PIN_SET(RTS_BT          , PIN_GPG9);
	PIN_SET(CTS_BT          , PIN_GPG10);
	PIN_SET(BT_RESET        , PIN_GPE13 | PIN_INVERTED);
	PIN_SET(LCD_VCC_PWREN   , PIN_GPG4 | PIN_INVERTED);
	PIN_SET(LCD_BIAS_PWREN  , PIN_GPC7);
	PIN_SET(BACKLIGHT_EN    , PIN_GPB1 | PIN_INVERTED);
	PIN_SET(BACKLIGHT_PWM   , PIN_GPB0);
	PIN_SET(LCD_CS          , PIN_GPG3 | PIN_INVERTED);
	PIN_SET(LCD_SCL         , PIN_GPG7);
	PIN_SET(LCD_SDI         , PIN_GPG6);
	PIN_SET(LCD_RESET       , PIN_GPJ0 | PIN_INVERTED);
	PIN_SET(USB_HOST_DETECT , PIN_GPF1 | PIN_INVERTED);
	PIN_SET(IGNITION        , PIN_GPF1 | PIN_INVERTED);
	PIN_SET(USB_PULL_EN     , PIN_GPF7 | PIN_INVERTED);
	PIN_SET(USB_SUSPEND_OUT , PIN_GPE12);
	PIN_SET(USB_HP          , PIN_GPE11);
	PIN_SET(USB_PWR_BYPASS  , PIN_GPJ7);
	PIN_SET(ON_OFF          , PIN_GPF0 | PIN_INVERTED);
	PIN_SET(ACPWR           , PIN_GPF1 | PIN_INVERTED);
	PIN_SET(XMON            , PIN_GPG13 | PIN_OPEN_COLLECTOR);
	PIN_SET(XPON            , PIN_GPG12 | PIN_OPEN_EMITTER);
	PIN_SET(YMON            , PIN_GPG15 | PIN_OPEN_COLLECTOR);
	PIN_SET(YPON            , PIN_GPG14 | PIN_OPEN_EMITTER);
	PIN_SET(TSDOWN          , PIN_GPG15 | PIN_OPEN_COLLECTOR);
	PIN_SET(MUTE_EXT        , PIN_GPJ2);
	PIN_SET(NAVI_MUTE       , PIN_GPJ2);
	PIN_SET(TEL_MUTE        , PIN_GPJ3);
	PIN_SET(UART_PWRSAVE    , PIN_GPJ10);
	PIN_SET(UART_INTA       , PIN_GPF5);
	PIN_SET(UART_CSA        , PIN_GPA14 | PIN_INVERTED);
	PIN_SET(UART_RXD_IPOD   , PIN_GPG2);
	PIN_SET(UART_INTB       , PIN_GPG8);
	PIN_SET(UART_CSB        , PIN_GPA15 | PIN_INVERTED);
	PIN_SET(UART_RXD_TMC    , PIN_GPG5);
	PIN_SET(UART_RESET      , PIN_GPJ8);
	PIN_SET(UART_CLK        , PIN_GPH10);
	PIN_SET(DOCK_RADIO_SENSE, PIN_GPF4 | PIN_INVERTED);
	PIN_SET(UART_RXD_IPOD   , PIN_GPG2);
	PIN_SET(UART_RXD_TMC    , PIN_GPG5);
	PIN_SET(FACTORY_TEST_POINT , PIN_GPC0);
}
